module randtrace
contains
subroutine rand_trace(trace)
implicit none
complex::trace(:)
integer::len,seed,i
real::rnd1,rnd2

len=size(trace)
rnd1=secnds(0.)
seed=floor(rnd1)
!write(0,*) "Random seed=",seed 

do i=1,len
   rnd1=ran(seed);    rnd2=ran(seed)
   trace(i)=cmplx(rnd1,rnd2)
end do

end subroutine rand_trace
end module randtrace
 
